> ## Documentation Index
> Fetch the complete documentation index at: https://docs.presenton.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get All Webhook Subscriptions V3

> Get all webhook subscriptions of the user.

Create an API Key from your account to access this endpoint.
Authorization: Bearer sk-presenton-xxxxxxxx



## OpenAPI

````yaml /api-reference/openapi.json get /api/v3/webhook/all
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.presenton.ai
security: []
paths:
  /api/v3/webhook/all:
    get:
      tags:
        - V3 Webhook
      summary: Get All Webhook Subscriptions V3
      description: |-
        Get all webhook subscriptions of the user.

        Create an API Key from your account to access this endpoint.
        Authorization: Bearer sk-presenton-xxxxxxxx
      operationId: get_all_webhook_subscriptions_v3_api_v3_webhook_all_get
      parameters:
        - name: Authorization
          in: header
          required: true
          schema:
            type: string
            description: Bearer JWT or API Key
            title: Authorization
          description: Bearer JWT or API Key
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/SubscribeToWebhookResponseV1'
                title: >-
                  Response Get All Webhook Subscriptions V3 Api V3 Webhook All
                  Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    SubscribeToWebhookResponseV1:
      properties:
        id:
          type: string
          title: Id
        url:
          type: string
          title: Url
        event:
          $ref: '#/components/schemas/WebhookEvent'
        created_at:
          type: string
          format: date-time
          title: Created At
      type: object
      required:
        - id
        - url
        - event
        - created_at
      title: SubscribeToWebhookResponseV1
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    WebhookEvent:
      type: string
      enum:
        - presentation.generation.completed
        - presentation.generation.failed
      title: WebhookEvent
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````